<?php get_header(); ?>

<?php 
$name = get_bloginfo('name');
$custom_header_image = '<div id="header-image" class="container"><img src="';
$custom_header_image .= get_option_tree( 'header_image' );
$custom_header_image .= '" alt="';
$custom_header_image .= $name;
$custom_header_image .= '" /></div><!--#header-image--><div class="clear"></div>'; 

// Display image slider
global $option_tree;
global $slide_link_end;
$slides = get_option_tree( 'orbit_slider', $option_tree, false, true, -1 );
$caption = 0;
$slider = '<div id="header-image" class="container"><div id="orbit-slider">  
	<div class="container_orbit">
		<div id="featured">';

if(is_array($slides)) {  
foreach( $slides as $slide ) {
	if ( get_option_tree( 'orbit_links' ) == "Yes" && !strlen(trim($slide['link'])) == '' ) {
		$slide_links = '<a href="'.$slide['link'].'" >';
		$slide_links_end = '</a>'; 
	} 
	else { 
		$slide_links = '';
		$slide_links_end = '';
	}

	$slider .= $slide_links;
	$slider .= '<img class="slider-img" src="'.$slide['image'].'" alt="'.$slide['title'].'" data-caption="#'.$caption.'"  />';
	if ($slide['description']!="") { $slider .= '<div class="orbit-caption" id="'.$caption.'">'.$slide['description'].'</div>'; }
	$slider .= $slide_links_end;
	$caption++;
	}
}
	
$slider .= '</div>
</div>
</div></div><div class="clear"></div>';

// Display Recent Posts Slider
if (function_exists('rps_show')) {
$rps_slider = '<div id="header-image" class="container header-rps">';
$rps_slider .=  rps_show(); 
$rps_slider .= '</div><!--#header-image--><div class="clear"></div>'; 
}

if ( function_exists( 'get_option_tree')  ) {
	if ( get_option_tree( 'header_onoff' ) == 'Display custom header' ) { 
		if ( get_option_tree( 'header_content' ) == 'Image' ) {
		echo $custom_header_image;
		}
		elseif ( get_option_tree( 'header_content' ) == 'Image slider' ) {
		echo $slider;
		}
		elseif (get_option_tree( 'header_content' ) == 'Recent Posts Slider' ) {
		echo $rps_slider; 
		}
	}	
}
?>

	<?php if (has_nav_menu('category-menu')) {  ?><div id="nav-secondary"><?php if ( function_exists( 'get_option_tree') && is_string(get_option_tree( 'sec_menu_info' )) ) { echo '<div id="sec-info">'.get_option_tree( 'sec_menu_info' ).'</div>'; } ?><?php wp_nav_menu( array( 'theme_location' => 'category-menu','depth'=>'2','menu_class'=>'middle-menu','container_class'=>'middle-menu-container' ) ); ?></div><?php } ?>
	<div class="mobilemenu"><?php dropdown_menu( array( 'theme_location' => 'category-menu','depth'=>'2','dropdown_title' => '-- Navigate to --','indent_string' => '- ','indent_after' => '') ); ?></div>
	<div id="content">
		<?php if ( ! dynamic_sidebar( 'Alert' ) ) : ?>
			<!--Wigitized 'Alert' for the home page -->
		<?php endif ?>
		<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
			<div class="post-single">
			<div class="post-wrapper">
				<div class="post-icon"><img src="<?php echo get_stylesheet_directory_uri().'/images/misc_icons/white/pen_alt_fill_16x16.png' ?>" alt="blog post" /></div>
				<div class="post-header">
				<h2><a href="<?php the_permalink() ?>" title="<?php the_title(); ?>" rel="bookmark"><?php the_title(); ?></a></h2>
				</div><div class="clearleft"></div><!--.postHeader-->
				<div class="top-border"></div>
				<?php if ( has_post_thumbnail() ) { /* loads the post's featured thumbnail, requires Wordpress 3.0+ */ echo '<div class="featured-thumbnail">'; the_post_thumbnail(); echo '</div>'; } ?>
				<div class="post-content">
				<?php the_content(__('Read more &raquo;'));?>
				<div class="post-meta">
					<span class="meta-img"><img src="<?php echo get_stylesheet_directory_uri().'/images/misc_icons/grey_light/clock_12x12.png' ?>" alt="date" /></span>
					<span class="meta-date"><?php $arc_year = get_the_time('Y'); $arc_month = get_the_time('m'); $arc_day = get_the_time('d');  echo '<a href="'.get_day_link($arc_year, $arc_month, $arc_day).'">'.get_the_time().'</a>'; ?></span>
					<span class="meta-img"><img src="<?php echo get_stylesheet_directory_uri().'/images/misc_icons/grey_light/user_9x12.png' ?>" alt="author" /></span>
					<span class="meta-author"><?php the_author_posts_link(); ?></span>
					<?php if(in_category(range(0,9999))) { echo "<span class='meta-img'><img src='"; echo get_stylesheet_directory_uri(); echo "/images/misc_icons/grey_light/list_12x11.png' alt='category' /></span>"; } ?>
					<span class="meta-cat"><?php the_category(', '); ?></span>
					<span class="meta-img"><img src="<?php echo get_stylesheet_directory_uri().'/images/misc_icons/grey_light/comment_alt2_stroke_11x12.png' ?>" alt="comments" /></span>
					<span class="meta-comment-count"><?php comments_popup_link('No comments', '1 comment', '% comments', 'meta-comments-count'); ?></span>
				</div><!--.postMeta-->
				<div class="clearboth"></div>
			</div>
				
			</div>
			</div><!--.post-single-->
		<?php endwhile; else: ?>
			<div class="no-results">
				<p><strong><?php _e('There has been an error.'); ?></strong></p>
				<p><?php _e('We apologize for any inconvenience, please hit back on your browser or use the search form below.'); ?></p>
				<?php get_search_form(); /* outputs the default Wordpress search form */ ?>
			</div><!--noResults-->
		<?php endif; ?>
			


	</div><!--#content-->
<?php get_sidebar(); ?>
<?php get_footer(); ?>